> For the complete documentation index, see [llms.txt](https://docs.i3d.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.i3d.net/game-hosting/overview/apiv3-error-handling.md).

# API v3 error handling

Whenever an error is encountered in an API request, the Platform will return an Error element providing you with information on what exactly went wrong.

## Error element structure

The Error element has the following structure:

| Property     | Value type                                          | Description                          |
| ------------ | --------------------------------------------------- | ------------------------------------ |
| errorCode    | int                                                 | The error code.                      |
| errorMessage | string                                              | Human readable version of the error. |
| errors       | [\[ErrorDetails\]](#errordetails-element-structure) | Array of ErrorDetail elements.       |

Table 1: Error element structure

## ErrorDetails element structure

The ErrorDetails (sub)element has the following structure:

| Property | Value type | Description                                                  |
| -------- | ---------- | ------------------------------------------------------------ |
| property | string     | Name of the form / element property that contains the error. |
| message  | string     | Detailed error message.                                      |

Table 2: ErrorDetails element structure

## Error element examples

```
{
    "errorCode": 11001,
    "errorMessage": "Errors in form",
    "errors": [
        {
            "property": "propertyType",
            "message": "Invalid propertyType, the possible values are: 0: raw value, 1: network port, 2: password (8 chars), 3: password (16 chars), 4: password (24 chars)"
        }
    ]
}
```

```
{
    "errorCode": 11001,
    "errorMessage": "Errors in form",
    "errors": [
        {
            "property": "type",
            "message": "Invalid application type, the possible values are: 1: Game, 2: Utility"
        },
        {
            "property": "managementProtocol",
            "message": "Invalid managementProtocol, the possible values are: 0: None, 1: A2S, 2: ARCUS"
        }
    ]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.i3d.net/game-hosting/overview/apiv3-error-handling.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
